@ECHO OFF

set BACKUPDIR=%~dp0.
set DATABASEFULLPATH=C:\Users\Public\Documents\Family Hotel\Data\Db.mdb

SET J=%date:~-10,2%
SET A=%date:~-4%
SET M=%date:~-7,2%
SET H=%time:~0,2%
if "%time:~0,1%" == " " set H=0%time:~1,1%
SET MN=%time:~3,2%
SET S=%time:~-5,2%

rem Delete ZIP files older than 60 days
Forfiles /P "%BACKUPDIR%" /S /M *.zip /D -60 /C "cmd /c del @FILE"

rem Delete previous MDB files
del "%BACKUPDIR%\*.mdb"

rem Backup FamilyHotel database
xcopy "%DATABASEFULLPATH%" "%BACKUPDIR%"

rem Zip the backup using zip.exe
Forfiles /P "%BACKUPDIR%" /S /M *.mdb /C "cmd /c zip.exe @FNAME_%A%_%M%_%J%_%H%_%MN%_%S%.zip @FILE"

rem Delete previous MDB files
del "%BACKUPDIR%\*.mdb"

